<back to all web services

SendForTranslation

The following routes are available for this service:
POST/RestApi/translations/translate
namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Projects

open System
open System.IO
open System.Collections
open System.Collections.Generic
open System.Runtime.Serialization
open ServiceStack
open ServiceStack.DataAnnotations

    [<AllowNullLiteral>]
    type CreateProject() = 
        member val Title:String = null with get,set
        member val StartDate:Nullable<DateTime> = new Nullable<DateTime>() with get,set
        member val EndDate:Nullable<DateTime> = new Nullable<DateTime>() with get,set
        member val Description:String = null with get,set
        member val Connector:String = null with get,set
        member val PoReference:String = null with get,set
        member val ActualSourceLanguage:String = null with get,set

    [<AllowNullLiteral>]
    type SendForTranslation() = 
        member val Ids:IEnumerable<Guid> = null with get,set
        member val ProjectData:CreateProject = null with get,set

F# SendForTranslation DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/translate HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
Content-Type: text/csv
Content-Length: length

{"ProjectData":{"Title":"String","StartDate":"\/Date(-62135596800000-0000)\/","EndDate":"\/Date(-62135596800000-0000)\/","Description":"String","Connector":"String","PoReference":"String","ActualSourceLanguage":"String"}}